/*
 * CKEditor - The text editor for Internet - http://ckeditor.com
 * Copyright (C) 2003-2008 Frederico Caldeira Knabben
 *
 * == BEGIN LICENSE ==
 *
 * Licensed under the terms of any of the following licenses at your
 * choice:
 *
 *  - GNU General Public License Version 2 or later (the "GPL")
 *    http://www.gnu.org/licenses/gpl.html
 *
 *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
 *    http://www.gnu.org/licenses/lgpl.html
 *
 *  - Mozilla Public License Version 1.1 or later (the "MPL")
 *    http://www.mozilla.org/MPL/MPL-1.1.html
 *
 * == END LICENSE ==
 */

/**
 * @file Horizontal Rule plugin.
 */

// Register a plugin named "horizontalrule".
CKEDITOR.plugins.add( 'horizontalrule',
{
	init : function( editor, pluginPath )
	{
		var horizontalrule = CKEDITOR.plugins.horizontalrule;

		editor.addCommand( 'horizontalrule', horizontalrule );
		editor.ui.addButton( 'HorizontalRule',
			{
				label : editor.lang.horizontalrule,
				command : 'horizontalrule'
			});
	}
});

CKEDITOR.plugins.horizontalrule =
{
	exec : function( editor )
	{
		var element = editor.document.createElement('hr');
		editor.insertElement( element );
	}
};
